/*
** LEE_RADIUS_IPLUS_CACHE.C
**
** Rutinas de acceso a los LOGs de Infova Plus, preprocesados.
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 08/Sep/99 Primera version de este modulo.
*/

#include "lee_radius_iplus_cache.h"

#include "util.h"

#undef strchr(a,b)
#define strchr(a,b) strchr_jcea(a,b)
#undef strcmp(a,b)
#define strcmp(a,b) strcmp_jcea(a,b)

/* STUBS para rutinas de lectura de registros */

t_log RADIUS_IPLUS_CACHE = {
  abre_log_detalle_iplus_cache,
  cierra_log_detalle_cache,
  lee_registro_detalle_cache,
  timestamp_cache
};

void abre_log_detalle_iplus_cache(char *f_detalle,char *usuario)
{
  abre_log_detalle_cache(f_detalle,usuario,RADIUS_IPLUS);
}

